- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FMODVoiceAdapter Class Reference

Connects FMOD with RakVoice. More...

`#include <FMODVoiceAdapter.h>`

List of all members.

## Public Member Functions
bool | SetupAdapter (FMOD::System *fmodSystem, RakVoice *rakVoice)
| Setups the connection between FMOD and RakVoice You must call this method to create the connection between FMOD and RakVoice.
void | Release ()
| Release any resources used.
void | Update ()
| You need to call this once in a while, depending on the parameters used. Ex: call once every 20-30 milliseconds.
void | SetMute (bool mute)
## Static Public Member Functions
static FMODVoiceAdapter * | Instance ()
| Returns the singleton.
## Private Member Functions
void | UpdateSound (bool isRec)
void | BroadcastFrame (void *ptr)
| FMODVoiceAdapter (const FMODVoiceAdapter &obj)
## Private Attributes
RakVoice * | rakVoice
FMOD::System * | fmodSystem
FMOD::Sound * | recSound
FMOD::Sound * | sound
FMOD::Channel * | channel
bool | mute
unsigned int | lastPlayPos
unsigned int | lastRecordingPos
## Static Private Attributes
static FMODVoiceAdapter | instance

## Detailed Description

Connects FMOD with RakVoice.

## Member Function Documentation

bool FMODVoiceAdapter::SetupAdapter | ( | FMOD::System * | fmodSystem,
|  | RakVoice * | rakVoice |
| ) |  |  |

Setups the connection between FMOD and RakVoice You must call this method to create the connection between FMOD and RakVoice.

Parameters:

  `[in]` | fmodSystem | FMOD system object to use.
  `[in]` | rakVoice | RakVoice object to use, fully Initialized AND attached to a RakPeerInterface.

Precondition:
  IMPORTANT : Don't forget to initialized and attach rakVoice, before calling this method.

See also:
  FMODVoiceAdapter::Update

Returns:
  true on success, false if an error occurred.

void FMODVoiceAdapter::SetMute | ( | bool | mute | ) |

Turns on/off outgoing traffic

Parameters:

  `[in]` | true | to mute, false to allow outgoing traffic.

The documentation for this class was generated from the following files:

- C:/RakNet/Samples/RakVoiceFMOD/FMODVoiceAdapter.h
- C:/RakNet/Samples/RakVoiceFMOD/FMODVoiceAdapter.cpp